package com.inkasso.factoring.settlement.entity;

import java.util.Date;

/**
 * @author liutao
 */
public class ConditionVo {

    private Date beginTime;

    private Date endTime;

    private String status;

    /**
     * 查询条件
     */
    private String condition;

    /**
     *查询条件 二选一
     */
    private boolean  judge;

    /**
     * long 查询条件
     */
    private Long conditionLong;

    private int page = 1 ;
    /** 页大小 */
    private int rows = 30 ;

    public ConditionVo() {
    }

    public Long getConditionLong() {
        return conditionLong;
    }

    public void setConditionLong(Long conditionLong) {
        this.conditionLong = conditionLong;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCondition() {
        return condition;
    }

    public void setCondition(String condition) {
        this.condition = condition;
    }

    /** 页码（首页从1开始） */
    public int getPage() {
        return page > 1 ? (page) : 1;
    }

    public void setPage(int page) {
        this.page = page;
    }

    /** 页大小 */
    public int getRows() {
        return rows > 1 ? (rows) : 10;
    }

    public void setRows(int rows) {
        this.rows = rows;
    }

    public boolean isJudge() {
        return judge;
    }

    public void setJudge(boolean judge) {
        this.judge = judge;
    }
}
